## org.firebirdsql.management
Interface User

All Known Implementing Classes:
  FBUser

    public interface User

A user in the Firebird Security Database.

Author:
  Steven Jardine

Method Summary
`String` `getFirstName()`
`int` `getGroupId()`
`String` `getLastName()`
`String` `getMiddleName()`
`String` `getPassword()` Returns the password as set by setPassword.
`int` `getUserId()`
`String` `getUserName()`
`void` `setFirstName(String firstName)` Optional first name of the person using this user name.
`void` `setGroupId(int groupId)` Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation
`void` `setLastName(String lastName)` Optional last name of the person using this user name.
`void` `setMiddleName(String middleName)` Optional middle name of the person using this user name.
`void` `setPassword(String password)` Password for the specified user.
`void` `setUserId(int userId)` Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation
`void` `setUserName(String username)` User name to create in security database.

Method Detail

### setUserName

    void setUserName(String username)

  User name to create in security database. Maximum length is 31 characters. Manditory for all operations. Must be unique.

  Parameters:
    `username` -

### getUserName

    String getUserName()

  Returns:
    the username in the security database.

### setPassword

    void setPassword(String password)

  Password for the specified user. Maximum length is 31 characters. Only first 8 characters are significant.

  Parameters:
    `password` -

### getPassword

    String getPassword()

  Returns the password as set by setPassword. This will return null in most cases and is only provided for add and update user functionality.

  Returns:
    the password for the specified user.

### setFirstName

    void setFirstName(String firstName)

  Optional first name of the person using this user name.

  Parameters:
    `firstName` -

### getFirstName

    String getFirstName()

  Returns:
    first name of the person using this user name.

### setMiddleName

    void setMiddleName(String middleName)

  Optional middle name of the person using this user name.

  Parameters:
    `middleName` -

### getMiddleName

    String getMiddleName()

  Returns:
    middle name of the person using this user name.

### setLastName

    void setLastName(String lastName)

  Optional last name of the person using this user name.

  Parameters:
    `lastName` -

### getLastName

    String getLastName()

  Returns:
    last name of the person using this user name.

### setUserId

    void setUserId(int userId)

  Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation

  Parameters:
    `userId` -

### getUserId

    int getUserId()

  Returns:
    user id number.

### setGroupId

    void setGroupId(int groupId)

  Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation

  Parameters:
    `groupId` -

### getGroupId

    int getGroupId()

  Returns:
    group id number.

Copyright © 2001-2010. All Rights Reserved.